export default function () {
  const options={
    height:840,
    align:'center',
    border: true,
    resizable: true,
    keepSource:true,
    size:'mini',
    showOverflow: true,
    scrollY:{enable:true},
    highlightCurrentRow:true,
    data:[],
  }

  const columns = [
    { type: 'checkbox', width: 50 ,},
    { type: 'seq', width: 60, title: '序号' },
    {
      field: 'dcCh',
      title: '船号',editRender: { name: '$select',options: [], },
      width: 120,
      filters: [{ data: { checks: [], sVal: '', sMenu: '', fType1: '', fVal1: '', fMode: 'and', fType2: '', fVal2: '' } }],
      filterRender: { name: 'FilterCombination' }
    },
    {
      field: 'ypph',
      title: '虚拟托盘',editRender: { name: 'input' },
      width: 120,
      filters: [{ data: { checks: [], sVal: '', sMenu: '', fType1: '', fVal1: '', fMode: 'and', fType2: '', fVal2: '' } }],
      filterRender: { name: 'FilterCombination' }
    },
    {
      field: 'dcPl',
      title: '批量',editRender: { name: 'input' },
      width: 120,
      filters: [{ data: { checks: [], sVal: '', sMenu: '', fType1: '', fVal1: '', fMode: 'and', fType2: '', fVal2: '' } }],
      filterRender: { name: 'FilterCombination' }
    },
    {
      field: 'dcFd',editRender: { name: 'input' },
      title: '分段',
      width: 120,
      filters: [{ data: { checks: [], sVal: '', sMenu: '', fType1: '', fVal1: '', fMode: 'and', fType2: '', fVal2: '' } }],
      filterRender: { name: 'FilterCombination' }
    },
    {
      field: 'kw',
      title: '跨位', formatter: ['dictFormat', 'QGKW'],
      width: 120,
      filters: [{ data: { checks: [], sVal: '', sMenu: '', fType1: '', fVal1: '', fMode: 'and', fType2: '', fVal2: '' } }],
      filterRender: { name: 'FilterCombination' }
    },
    {
      field: 'zl',
      title: '组立',editRender: { name: '$select',options: [{label: '小组立',value:'X'},{label: '中大组立',value:'D'}], props: {clearable: true} },
      width: 120,
      filters: [{ data: { checks: [], sVal: '', sMenu: '', fType1: '', fVal1: '', fMode: 'and', fType2: '', fVal2: '' } }],
      filterRender: { name: 'FilterCombination' }
    },

    {
      field: 'tz',
      title: '特征',
      width: 120, editRender: { name: 'input' },
      filters: [{ data: { checks: [], sVal: '', sMenu: '', fType1: '', fVal1: '', fMode: 'and', fType2: '', fVal2: '' } }],
      filterRender: { name: 'FilterCombination' }
    },
    {
      field: 'lx',
      title: '流向',editRender: { name: 'input' },
      width: 120,
      filters: [{ data: { checks: [], sVal: '', sMenu: '', fType1: '', fVal1: '', fMode: 'and', fType2: '', fVal2: '' } }],
      filterRender: { name: 'FilterCombination' }
    },
    {
      field: 'xj',
      title: '下级',editRender: { name: 'input' },
      width: 120,
      filters: [{ data: { checks: [], sVal: '', sMenu: '', fType1: '', fVal1: '', fMode: 'and', fType2: '', fVal2: '' } }],
      filterRender: { name: 'FilterCombination' }
    },
    {
      field: 'qy',
      title: '区域',
      width: 120,
      filters: [{ data: { checks: [], sVal: '', sMenu: '', fType1: '', fVal1: '', fMode: 'and', fType2: '', fVal2: '' } }],
      filterRender: { name: 'FilterCombination' }
    },
    {
      field: 'dwh',
      title: '垛位号',
      width: 120,
      filters: [{ data: { checks: [], sVal: '', sMenu: '', fType1: '', fVal1: '', fMode: 'and', fType2: '', fVal2: '' } }],
      filterRender: { name: 'FilterCombination' }
    },
    {
      field: 'status',
      title: '状态',
      width: 120,
      filters: [{ data: { checks: [], sVal: '', sMenu: '', fType1: '', fVal1: '', fMode: 'and', fType2: '', fVal2: '' } }],
      filterRender: { name: 'FilterCombination' }
    },
  ]

  return {options,columns}
}
